Subject: RE: [PATCH net-next 2/3] net: txgbe: optimize the flow to setup PHY for AML devices

From: Jiawen Wu <[email-masked]>
Date: Fri, 10 Oct 2025 15:48:57 +0800

On Tue, Sep 30, 2025 9:40 AM, Jakub Kicinski wrote:
> On Sun, 28 Sep 2025 17:39:22 +0800 Jiawen Wu wrote:
> > To adapt to new firmware for AML devices, the driver should send the
> > "SET_LINK_CMD" to the firmware only once when switching PHY interface
> > mode. And the unknown link speed is permitted in the mailbox buffer. The
> > firmware will configure the PHY completely when the conditions are met.
> 
> Could you mention what the TXGBE_GPIOBIT_3 does, since you're removing
> it all over the place?

Okay. It is used for RX signal, which indicate that PHY should be re-configured.
Now we remove it from the driver, let the firmware to configure PHY completely.